/* See U.DOC for description of this file UE-LOAD.REXX and the script U. */

parse arg opts "/: " filez " /::"

ceedee = pos("c", opts) > 0
readonly = pos("r", opts) > 0
frontit = 1
curd = ""

if ~show('l','rexxsupport.library') then
    if ~addlib('rexxsupport.library',0,-30) then do
        say "Can't open rexxsupport!"
        exit 25
    end

if ~ show('Ports', 'URexx') then do
    say 'Starting Uedit...'
    address command 'RunBack UE'      /* <=- PUT CORRECT PATHNAME THERE ****/
    do while ~show('Ports', 'URexx')
        call delay(20)
    end
    frontit = 0
end; else if ceedee then
    address 'URexx' 'changedir' pragma('D')
else
    curd = pragma('D')

do while filez ~== ""
    parse value filez with filename " /: " filez
    if filename ~== "" then do
        if curd ~== "" then do
            i = pos(':', filename)
            if i <= 1 then do
                if i == 1 then
                    curd1 = left(curd, pos(':', curd) - 1)
                else if right(curd, 1) ~= ':' & right(curd, 1) ~== '/' then
                    curd1 = curd || '/'
                else curd1 = curd
                filename = curd1 || filename
            end
        end
        address 'URexx' 'loadfile' filename
        if readonly then address 'URexx' 'readonly'
    end
end

if frontit == 1 then address 'URexx' 'frontscreen'       /* OPTIONAL */
