

IFFBeep 2.00           Amiga User's Manual           IFFBeep 2.00




        Overview 

        Those  of you who have used a M*cintosh will know that it
        allows  you  to  select a digitised sound to be played as
        the  system's "bell". Hey if the M*c can do it the so can
        the  Amiga!.  IFFBeep  is  a simple program that replaces
        the  screen  flash  code  of DisplayBeep() with a program
        that  will  play  any  IFF 8SVX sound file when a call is
        made  to  this  function. IFFBeep can also play different
        sounds when a disk is inserted/removed from a drive.  

        IFFBeep  can  run  from  the CLI or workbench. If you run
        IFFBeep  from  the  CLI  it  will automatically detach so
        there is no need to use RUNBACK.  

        IFFBeep  does  require  ARP library to be present in your
        LIBS:  directory.   A  copy of ARP.library is supplied on
        the  distribution  disk and the installation program will
        install it if you do not already have it.  


        Installation 

        If  running  from  the  CLI  you  should set your default
        directory  to  the  directory  that  contains the IFFBeep
        distribution  files  and then execute the INSTALL_IFFBEEP
        script: 
          1> EXECUTE INSTALL_IFFBEEP 

        If  running  from the Workbench environment simply double
        click  on  the  INSTALL  icon.  The  install program will
        install IFFBeep on the current system disk.  

        This  install program will copy the IffBeep, BCP and Beep
        programs  to  the  c:  directory.  It  will  install  the
        ARP.Library  in  your LIBS: directory if it isn't already
        there.  It  will  copy  the following files to your DEVS:
        directory: 
           IFFBeep.cfg 
           SystemBeep 
           DiskinSound 
           DiskOutSound.  These   files  are,  respectively,  the
        default  configuration  file,  the  default "beep" sound,
        the  default  "disk inserted" sound and the default "disk
        ejected" sound.  


        Running IFFBeep 

        Once  you  have  installed  IFFBeep  you have a choice of


                             Page 1


IFFBeep 2.00           Amiga User's Manual           IFFBeep 2.00


        ways  in which to run it.  The most convenient way to run
        IFFBeep  is  to  install it in your startup-sequence.  In
        this  case,  you would use the CLI syntax as shown below.
        If  you  do  not  place  IFFBeep in your startup-sequence
        then  you  can  either  start it from the CLI or from the
        Workbench.  


                CLI Syntax 

        The CLI syntax for IFFBeep is as follows: 

            IFFBeep CONFIG <configfile> REMOVE 

        The  CONFIG  argument  allows  you  to specify the name a
        configuration  file  created  with  BCP (see "The IFFBeep
        Control  Panel"  below). If this argument is omitted then
        the  default  configuration  file  (DEVS:IFFBeep.cfg)  is
        used.   If  this  file  cannot be found then IFFBeep uses
        internal  hard-coded  defaults.  If  IFFBeep  is  already
        running  then  the  configuration details will be updated
        using the data in the selected configuration file.  

        The  REMOVE  option  is  only valid if IFFBeep is already
        running.  It  will  send  a  message  to the IFFBeep task
        which  causes  it  to exit and return system operation to
        normal.  


                Workbench Syntax 

        To  start  IFFBeep from the Workbench simply double-click
        on  it's icon. Through the Workbench Info command you can
        specify    one    tooltype    for    IFFBeep.   This   is
        CONFIG=<configfile>.  This argument functions in the same
        manner as the CLI CONFIG option.  


        The IffBeep Control Panel 

        IffBeep  has  an  interactive control panel program, BCP.
        When  run, BCP will get the current settings from IFFBeep
        and  then  bring  up  a  small  window that allows you to
        change these settings.  

        There  are two menus attached to this window. The Project
        menu  allows  you to load and save configuration files as
        well  as  iconise  BCP  and  remove IFFBeep.  When BCP is
        iconised  you can open it up again by simply clicking the
        right  mouse  button  after  selecting  the  small "Amiga
        Tick"  window.  The  Event  menu allows you to select for
        which  event  (Beep,  Disk  insertion  and Disk ejection)


                             Page 2


IFFBeep 2.00           Amiga User's Manual           IFFBeep 2.00


        settings are displayed.  

        There  is  a slider that allows you to change the volume.
        When  the  volume  button  is  clicked the sample will be
        played  to  demonstrate  the  new volume. If you click on
        the  "gradient" beside the volume slider, then the sample
        will also be played.  

        The  "New  Sample"  gadget  will  bring  up  an  ARP file
        requester  that allows you to select a new sound file. It
        will  open up with the directory of the last loaded sound
        file.  If  you  erase  this  and  press  return,  it will
        display the directory you were in when you ran BCP.  

        The  check  box  above the "New Sample" gadget is used to
        select whether or not the current event is activated.  

        The  two radio buttons and the integer gadget are used to
        control  the  "memory  nice"  features  of  IffBeep  (see
        Memory  below). If purge is enabled (top button) then the
        value  in  the  integer  gadget  selects  the  number  of
        seconds  after  the beep has been used that it is removed
        from  memory.  The  bottom button deselects this feature.
        If  you  are  loading your sample from a floppy disk that
        you  want  to  take  out of the drive, and you can afford
        the  memory,  then  I  suggest that you disable the purge
        feature  and  click  on the gradient to load the sound in
        immediately.  This  will  stop annoying volume requesters
        coming  up  later  if  the  beep  is  called  but  not in
        memory.  


        Using the new beep.  

        Any  programs  which  currently  call  DisplayBeep() will
        automatically  use the new code.  You can use the code in
        your  own  programs by calling DisplayBeep. If you send a
        Bell  character (Ascii code 7) to the Console device then
        the beep will also be invoked.  

        Another  little  program,  called  Beep is included. This
        lets you test your new beep.  


        IFFBeep  will  must  store  the sound sample data in chip
        RAM.  This  means  if  you  have a 10K sample then 10K of
        chip  RAM will be used to store this sample. As an aid to
        memory  conservation  IFFBeep  does  not  load the sample
        until  it  is first needed. This means that you can place
        IFFBeep  in your startup-sequence without it ever loading
        the  sample.  Also, after a time without being called the
        sample  will  be released from memory. This means you may


                             Page 3


IFFBeep 2.00           Amiga User's Manual           IFFBeep 2.00


        get  a volume requester the next time the beep is needed.
        Do  not panic! This is not a virus wanting to infect your
        boot disk! 



















































                             Page 4


IFFBeep 2.00           Amiga User's Manual           IFFBeep 2.00



        Conditions and Credits 

        IffBeep  Version  2.0  is    1990  by Paul Wilkinson. All
        Rights  Reserved.  Anything  this  program  does  to your
        machine   isn't  my  problem.  Anything  you  think  this
        program  should do but doesn't isn't my problem (but send
        me  any suggestions at the address below). Any money lost
        due  to  the  performance  or lack of performance of this
        program isn't my problem... (you get the idea).  

        IffBeep  is CharityWare. Under this system I suggest that
        if  you  like and use this software then you make a small
        donation  to  a local charity. I don't do this for money.
        Some  other  guys  pay me to work on computers. I do this
        because  it  is  fun!  If  you  like,  you  can send me a
        picture-postcard of your town.  

        IFFBeep  may  be  freely  redistributed  as  long  as the
        following conditions are observed: 

        1)  All Files are distributed as supplied in the original
        distribution (ie. "as you get it") 

        2)   Only   a   "reasonable"  fee  is  charged  for  such
        distribution.  

        3)  IFFBeep  may  not be used on "disk magazines" without
        prior written consent from the author.  

        Contact the Author with any comments/criticisms at: 
                             Paul Wilkinson
                            24 Armstrong Ave.
                              Mt. Warrigal
                           NSW 2528 Australia
                   or via Fido NetMail to 3:712/518.5

        Thanks to Peter Nicholson for the IFF sound routines.  

        This  program  is  dedicated  to the memory of Transactor
        magazine.  













                             Page 5


IFFBeep 2.00           Amiga User's Manual           IFFBeep 2.00



        History of Changes 

        Version 0.4 
                First release to Andrew Zahra for Alpha Test 

        Version 0.5 
                Many  improvements. NewBeep does not require full
                path  any  more.  Sound is only loaded when first
                needed.  Sound is unloaded if not called for more
                than 5 minutes.  

        Version 0.6 

                First   version  of  BCP  released.  IffBeep  now
                requires  Arp.library  to  operate.   Recoded IFF
                routines  so  that  IffBeep no longer needs to be
                compiled +L under Manx.  

        Version 0.7 

                IffBeep   now   detaches  from  CLI.  Changed  to
                compile  under Aztec 5.0.  Command line for sound
                file,  volume  and  purge time added to IffBeep &
                NewBeep. Added workbench support.  

        Version 1.00 

                Added  remove  option  to IffBeep. Enabled Remove
                option  in  BCP.  Also  added Iconise facility to
                BCP.  Changed  bcp  so that it also detaches from
                parent  CLI.  Changed IffBeep so that it performs
                the  functions  of  the old newbeep program if an
                IffBeep  task is already running. Changed command
                line  arguments  for  IffBeep.  Now  uses  GADS()
                parsing from ARP.  

        Version 1.01 

                Fixed  GURUs  when  sound  file  could not fit in
                memory 

        Version 2.00 

                Major  rewrite  after  Hard  Disk crash (backups?
                What Backups?) 
        Plans 
                Perhaps  a  "talking moose" type of thing where a
                randomly  selected  sound  is  played at a random
                time.   Perhaps   an   hourly  chime.  Perhaps  a
                workbench clock? 



                             Page 6


IFFBeep 2.00           Amiga User's Manual           IFFBeep 2.00



                Overview...................................    1

                Installation...............................    1

                Running IFFBeep............................    1
                   CLI Syntax..............................    2
                   WorkBench Syntax........................    2

                The IffBeep Control Panel..................    2

                Using the new beep.........................    3

                Memory.....................................    3

                Conditions and Credits.....................    5

                History of Changes.........................    6
                   Plans...................................    6



































                             Page 7

