
	IFND	DEVICES_INPUTEVENT_I
	INCLUDE	'devices/inputevent.i'
	ENDC

SHIFT			=IECODE_UP_PREFIX
RAMIGA			=IEQUALIFIER_RCOMMAND
RSHIFT			=IEQUALIFIER_RSHIFT
RALT			=IEQUALIFIER_RALT
LAMIGA			=IEQUALIFIER_LCOMMAND
LSHIFT			=IEQUALIFIER_LSHIFT
LALT			=IEQUALIFIER_LALT
UPARROW			=$4C
DOWNARROW		=$4D
RIGHTARROW		=$4E
LEFTARROW		=$4F
KP0			=$0F
KP1			=$1D
KP2			=$1E
KP3			=$1F
KP4			=$2D
KP5			=$2E
KP6			=$2F
KP7			=$3D
KP8			=$3E
KP9			=$3F

U_CODE			=20000
U_QUAL			=0
U_FUNC			=0
AW_TO_TOP		=0
AW_TO_BOTTOM		=1
AW_TO_LEFT		=2
AW_TO_RIGHT		=3
AW_TO_LEFT_TOP		=4
AW_TO_LEFT_BOTTOM	=5
AW_TO_RIGHT_TOP		=6
AW_TO_RIGHT_BOTTOM	=7
AW_TO_CENTER		=8
AW_TO_FRONT		=9
AW_TO_BACK		=10
ACTIVATE_PREV_W		=11
ACTIVATE_NEXT_W		=12
BACK_W_TO_FRONT		=13
FRONT_W_TO_BACK		=14
BACK_S_TO_FRONT		=15
FRONT_S_TO_BACK		=16
KeyFuncNumber		=20
DefFuncNumber		=17

HotKey_ID	=0		; What identifies this hotkey
HotKey_Code	=0		; The hotkeys action-key
HotKey_Qual	=2		; The hotkeys qualifier-keys
HotKey_Mask	=4		; What distinguishes this hotkey from others with same code
HotKey_Func	=4		; Function to execute
HotKey_FF	=5		; Just mask
HotKey_QMask	=6		; 'OR'ed qualifiers of all hotkeys with same code
HotKey_SIZE	=8
HotKey		MACRO
* HotKey_ID
		dc.w		\1		; HotKey_Code
		dc.w		\2		; HotKey_Qual
* HotKey_Mask
		dc.b		\4		; HotKey_Func
		dc.b		$FF		; HotKey_FF
		dc.w		\3		; HotKey_QMask
		ENDM

FilePart		=12+KeyFuncNumber*HotKey_SIZE

PWKeysVersion	=1
PWKeysRevision	=1
PWKeysPri	=51	; Handler priority

