********************************************************************************
*                                                                              *
*                      Include file for BootPic V1.0                           *
*                                                                              *
********************************************************************************

*That's the beginning of my very special structure. Everything the programm
*needs (including its own code) is put in one big piece of memory instead of
*allocating some bytes for every single structure that has to be made resident .

                rsreset
RT_MATCHWORD    rs.w    1   ;our resident structure
RT_MATCHTAG     rs.l    1
RT_ENDSKIP      rs.l    1
RT_FLAGS        rs.b    1
RT_VERSION      rs.b    1
RT_TYPE         rs.b    1
RT_PRI          rs.b    1
RT_NAME         rs.l    1
RT_IDSTRING     rs.l    1
RT_INIT         rs.l    1
RT_SIZE         rs.l    0

RTC_MATCHWORD   EQU     $4AFC
NT_MEMORY       EQU     10

myLN_SUCC       rs.l    1  ;our memlist for resident memory
myLN_PRED       rs.l    1
myLN_TYPE       rs.b    1
myLN_PRI        rs.b    1
myLN_NAME       rs.l    1
ML_NUMENTRIES   rs.w    1
ml_addr1        rs.l    1  ;^to this structure + our resident programm
ml_len1         rs.l    1
ml_addr2        rs.l    1  ;^to our saved BODY-chunk
ml_len2         rs.l    1
zeroterm        rs.l    1  ;for reasons of security
restab          rs.l    2  ;this pointer is written into Sysbase->KickTagPtr
                           ;1.long:^to resident structure, 2. long:zero or
                           ;^to next restab (with bit $1f set)
ViewPort        rs.l    0  ;our Viewport
vp_Next         rs.l    1
vp_ColorMap     rs.l    1
vp_DspIns       rs.l    1
vp_SprIns       rs.l    1
vp_ClrIns       rs.l    1
vp_UCopIns      rs.l    1
vp_DWidth       rs.w    1
vp_DHeight      rs.w    1
vp_DxOffset     rs.w    1
vp_DyOffset     rs.w    1
vp_Modes        rs.w    1
vp_reserved     rs.w    1
vp_RasInfo      rs.l    1

View            rs.l    0  ;our View
v_ViewPort      rs.l    1
v_LOFCprList    rs.l    1
v_SHFCprList    rs.l    1
v_DyOffset      rs.w    1
v_DxOffset      rs.w    1
v_Modes         rs.w    1

coltab          rs.b    200 ;here our colors are saved (see getcols!)

RasInfo         rs.l    0  ;our Rasinfo
ri_Next         rs.l    1
ri_BitMap       rs.l    1
ri_RxOffset     rs.w    1
ri_RyOffset     rs.w    1

Bitmap          rs.l    0  ;our Bitmap
bm_bytesperrow  rs.w    1
bm_rows         rs.w    1
bm_flags        rs.b    1
bm_depth        rs.b    1
bm_pad          rs.w    1
bm_planes       rs.b    32

bmw             rs.w    1  ; width of the whole picture
bmh             rs.w    1  ; height of the whole picture
depth           rs.w    1  ; number of planes
mask            rs.b    1  ; byte set,if there's any masking
pad6            rs.b    1  ; fillbyte

idendity        rs.l    0  ; here our idnames are saved (BPic,0,0)
id_name         rs.b    6
id_string       rs.b    30
code            rs.l    0  ;there we'll copy our code

**** end of my special structure ****

**** CHUNK-definitions ****
                rsreset
BMHD            rs.l    0  ;contains dimension of the picture
w               rs.w    1
h               rs.w    1
x               rs.w    1
y               rs.w    1
nplanes         rs.b    1
masking         rs.b    1
compression     rs.b    1
pad1            rs.b    1
transparentcolor    rs.w    1
xaspect         rs.b    1
yaspect         rs.b    1
pagewidth       rs.w    1
pageheight      rs.w    1

                rsreset
CAMG            rs.l    0  ;contains viewmodes
modes           rs.l    1

*** end of CHUNK-def ***

                rsreset    ; nodestructure
LN_SUCC         rs.l    1
LN_PRED         rs.l    1
LN_TYPE         rs.b    1
LN_PRI          rs.b    1
LN_NAME         rs.l    1

                rsreset
diskio          rs.b    48  ; this is used when waiting for disk
replyport       rs.b    34
readbuffer      rs.b    1028
readend         rs.l    0
                rsreset
skip1           rs.b    28  ; io_request structure (used when waiting for disk
io_command      rs.w    1   ; on bootup)
skip2           rs.b    6
io_length       rs.l    1
io_data         rs.l    1
io_offset       rs.l    1
                rsreset

pr_cli          equ     $ac ; to find out wether WB or CLI
pr_msgport      equ     $5c ; out of dos_extends.i





